सामग्री पर जाएँ

Pika Text to Video Turbo (v2)

इंटीग्रेट करें

मॉडल id pika/v2/turbo/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2/turbo/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.20 200 API क्रेडिट · ≈ ₽21.49 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Pika टेक्स्ट से वीडियो तेज़1080p तक #editing#effects#animation

Pika v2 का Turbo संस्करण, जो केवल टेक्स्ट से वीडियो बनाता है और सात आस्पेक्ट रेशियो प्रदान करता है

Pika · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक
aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का पहलू अनुपात।

resolution डिफ़ॉल्ट 720p

आउटपुट वीडियो का रिज़ॉल्यूशन।

डिफ़ॉल्ट 5

आउटपुट वीडियो की अवधि, सेकंड में।

उन्नत negative_prompt · seed · enable_safety_checker
डिफ़ॉल्ट

मॉडल मार्गदर्शन के लिए उपयोग किया जाने वाला नेगेटिव प्रॉम्प्ट।

यादृच्छिक-संख्या जनरेटर द्वारा उपयोग किया गया सीड मान।

POST /run/pika/v2/turbo/text-to-video?wait=20 कोटेशन → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/pika/v2/turbo/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Pika Text to Video Turbo (v2) के बारे में

बिना इमेज इनपुट के टेक्स्ट `prompt` से क्लिप बनाता है। `aspect_ratio` के लिए 16:9, 9:16, 1:1, 4:5, 5:4, 3:2 या 2:3 में से चुनें और 720p या 1080p का रिज़ॉल्यूशन चुनें। अवधि सेकंड में पूर्णांक है, जिसका डिफ़ॉल्ट मान 5 है। `negative_prompt` और `seed` समर्थित हैं।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
seedवैकल्पिक
प्रकारinteger | null
यादृच्छिक-संख्या जनरेटर द्वारा उपयोग किया गया सीड मान।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
मॉडल मार्गदर्शन के लिए उपयोग किया जाने वाला नेगेटिव प्रॉम्प्ट।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:161:14:55:43:22:3
आउटपुट वीडियो का पहलू अनुपात।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
720p1080p
आउटपुट वीडियो का रिज़ॉल्यूशन।
durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट5
आउटपुट वीडियो की अवधि, सेकंड में।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pika/v2/turbo/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/pika/v2/turbo/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt